Bug 89323 - undo option after entering values in table is not working in Libreoffice Impress
Summary: undo option after entering values in table is not working in Libreoffice Impress
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2015-02-12 04:21 UTC by Sheeba Medoline
Modified: 2018-04-22 02:32 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of Impress which displays the struck page after did undo option for many times (210.27 KB, image/jpeg)
2015-02-12 04:21 UTC, Sheeba Medoline
Details
steps to reproduce (71.05 KB, application/vnd.oasis.opendocument.text)
2015-02-21 09:07 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sheeba Medoline 2015-02-12 04:21:05 UTC
Created attachment 113328 [details]
Screenshot of Impress which displays the struck page after did undo option for many times

Actual Result:
After creating a table, undo option for table is not working randomly in Libreoffice Impress when doing the undo work repeatedly.

Expected Result:

After creating a table, undo option for table is not working randomly.
Even doing undo option repeatedly, it should undo the previous work.

Step 1: open Libre office Impress
Step 2: create new slides.
Step 3: create table
Step 4: click undo
Step 5: It is working for first few times
Step 6: When we repeat the same work, it is not working
Step 7: Page get struck and Libre Office get crashed but it can be recovered
Comment 1 Sheeba Medoline 2015-02-12 04:29:47 UTC
Actual Result:
After creating a table, undo option for table is not working randomly in Libreoffice Impress when doing the undo work repeatedly.

Expected Result:

After creating a table, undo option for table is not working randomly.
Even doing undo option repeatedly, it should undo the previous work.

Step 1: open Libre office Impress
Step 2: create new slides.
Step 3: create table
Step 4: enter values in cells
Step 5: click undo
Step 6: It is working for first few time(completely undo the entire table)
Step 7: When we repeat the same work , it is not working(undo few last entered values)
Step 8: Page get struck and Some times, Libre Office get crashed but it can be recovered
Comment 2 raal 2015-02-12 19:42:38 UTC
I can confirm with Version: 4.4.0.3
ID build: de093506bcdc5fafd9023ee680b8c60e3e0645d7
I can confirm with Version: 4.5.0.0.alpha0+
Build ID: 62969accf9c01b71b738424d4d643db8bfaed182
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-02-08_23:22:32

to reproduce insert table into table. 
No crash or freeze reproduced. Cannot reproduce with LibreOffice 3.5.0 
Build ID: d6cde02 -> regression
Comment 3 Matthew Francis 2015-02-21 03:05:46 UTC
@raal: Could you clarify exactly what you reproduced and how?
I can't reproduce a crash on Linux, but I can reproduce the following issue:

1. Create a new presentation
2. Type a few characters of text into the slide body
3. Insert a table
4. Type a few characters into a table cell

Result:
- Actions are present in the undo stack for the body text insertion (2) / table text insertion (4), but not for the table insertion itself (3)


In the 43all bibisect tree, before

# possible first bad commit: [a0f20bc04a32a7791ba765d2de2f44f1b74033d1] source-hash-1de66ba440855050a794b3b2a8647c1b02c210b8
# possible first bad commit: [6848bca2a871fce1f3f28a8471eab4e5888ac9c9] source-hash-b45876bf0f2eeafba0a4f9f8f30cd4279eb2aa3e

the table insertion gets an undo stack entry, but it is wrongly ordered (before the slide body text insertion rather than after). The original issue of the wrongly ordered undo stack insertion is inherited from OOo (exists in OOo 3.3.0)


On the assumption that this is all the same issue, tagging this as bibisected for now - the above is at least a worsening of the original bug
Comment 4 Matthew Francis 2015-02-21 07:23:41 UTC
The point in which the table insert stops getting an undo stack entry at all in the sequence of comment 3 is the below commit

Adding Cc: to caolanm@redhat.com; could you possibly take a look at this? Thanks


commit 12a4200e8ff7f045efcc7e9d15a24b15b248c437
Author:     Armin Le Grand <alg@apache.org>
AuthorDate: Thu Aug 9 08:42:27 2012 +0000
Commit:     Caolán McNamara <caolanm@redhat.com>
CommitDate: Tue May 28 15:55:23 2013 +0100

    Related: #i120498# Enhanced Undo/Redo and user experience...
    
    when editing texts in graphic objects and/or tables
    
    (cherry picked from commit a096725779b210c7a2706e72596fd7c80e049fdd)
Comment 5 raal 2015-02-21 09:07:41 UTC
Created attachment 113572 [details]
steps to reproduce
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:12:13 UTC Comment hidden (obsolete)
Comment 7 Miklos Vajna 2016-05-19 13:39:11 UTC
Adding Cc: to Armin.Le.Grand@me.com as well.
Comment 8 Xisco Faulí 2016-09-26 15:03:16 UTC
Adding Cc: to Armin Le Grand
Comment 9 QA Administrators 2018-04-22 02:32:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug